cURL
curl --request GET \
--url https://scan-testnet.layerzero-api.com/v1/messages/latestimport requests
url = "https://scan-testnet.layerzero-api.com/v1/messages/latest"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://scan-testnet.layerzero-api.com/v1/messages/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"pathway": {
"srcEid": 123,
"dstEid": 123,
"sender": {
"address": "<string>",
"id": "<string>",
"name": "<string>",
"chain": "<string>"
},
"receiver": {
"address": "<string>",
"id": "<string>",
"name": "<string>",
"chain": "<string>"
},
"id": "<string>",
"nonce": 123
},
"source": {
"status": "WAITING",
"tx": {
"txHash": "<string>",
"blockHash": "<string>",
"blockNumber": "<string>",
"blockTimestamp": 123,
"from": "<string>",
"blockConfirmations": 123,
"payload": "<string>",
"value": "<string>",
"readinessTimestamp": 123,
"resolvedPayload": "<string>",
"adapterParams": {
"version": "<string>",
"dstGasLimit": "<string>",
"dstNativeGasTransferAmount": "<string>",
"dstNativeGasTransferAddress": "<string>"
},
"options": {
"lzReceive": {
"gas": "<string>",
"value": "<string>"
},
"nativeDrop": [
{
"amount": "<string>",
"receiver": "<string>"
}
],
"compose": [
{
"index": 123,
"gas": "<string>",
"value": "<string>"
}
],
"ordered": true
}
},
"failedTx": [
"<string>"
]
},
"destination": {
"status": "WAITING",
"tx": {
"txHash": "<string>",
"blockHash": "<string>",
"blockNumber": 123,
"blockTimestamp": 123
},
"payloadStoredTx": "<string>",
"failedTx": [
"<string>"
]
},
"verification": {
"dvn": {
"dvns": {},
"status": "WAITING"
},
"sealer": {
"tx": {
"txHash": "<string>",
"blockHash": "<string>",
"blockNumber": 123,
"blockTimestamp": 123
},
"failedTx": [
{
"txHash": "<string>",
"txError": "<string>"
}
],
"status": "WAITING"
}
},
"guid": "<string>",
"config": {
"error": true,
"errorMessage": "<string>",
"dvnConfigError": true,
"receiveLibrary": "<string>",
"sendLibrary": "<string>",
"inboundConfig": {
"confirmations": 123,
"requiredDVNCount": 123,
"optionalDVNCount": 123,
"optionalDVNThreshold": 123,
"requiredDVNs": [
"<string>"
],
"requiredDVNNames": [
"<string>"
],
"optionalDVNs": [
"<string>"
],
"optionalDVNNames": [
"<string>"
],
"executor": "<string>"
},
"outboundConfig": {
"confirmations": 123,
"requiredDVNCount": 123,
"optionalDVNCount": 123,
"optionalDVNThreshold": 123,
"requiredDVNs": [
"<string>"
],
"requiredDVNNames": [
"<string>"
],
"optionalDVNs": [
"<string>"
],
"optionalDVNNames": [
"<string>"
],
"executor": "<string>"
}
},
"status": {
"message": "<string>"
},
"created": "2025-05-27T19:20:54.361Z",
"updated": "2025-05-27T19:20:54.361Z"
}
],
"nextToken": "<string>"
}messages
Get messageslatest
Get latest messages
GET
/
messages
/
latest
cURL
Query Parameters
Example:
"V302"
Start Date in ISO String format
Example:
"2024-05-27T19:20:52.812Z"
End Date in ISO String format
Example:
"2024-05-27T19:20:52.812Z"
The token to be passed for retrieving the next set of paginated results
Was this page helpful?
⌘I